// --------------------------------------
//  Crevasse PE (Public Edition) / Final
// --------------------------------------


textures/crevasse_pe/crevassesky
{
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/crevasse_pe/clouds.tga
		rgbGen identity
	}
	{
		map textures/crevasse_pe/clouds.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0025 0.0015
		tcMod scale 2 1
	}
}

textures/crevasse_pe/crevassefog
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.10411 0.09803 0.12549 ) 4200
}

textures/crevasse_pe/water
{
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	deformVertexes wave 160 sin 0 3 0 0.3
	{
		map textures/crevasse_pe/water1.tga
		blendFunc blend
		alphaFunc GT0
		rgbGen identity
		rgbGen wave sin .4 .6 .6 0
		tcmod turb .01 .05 0 .1
		tcmod scale .4 .4
	}
	{
		map textures/crevasse_pe/water2.tga
		blendFunc blend
		alphaFunc GT0
		rgbGen identity
		rgbGen wave sin .2 .8 .5 0
		tcmod turb .01 .05 .25 .1
		tcmod scale 1.4 1.5
	}
	{
		map textures/crevasse_pe/water3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		rgbGen wave sin .1 .1 .333333333333 1
		tcMod scale .25 .25
	}
	{
		map textures/crevasse_pe/water4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		rgbGen wave sin .1 .1 0 1
		tcMod scale .25 .25
	}
	{
		map textures/crevasse_pe/water5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		rgbGen wave sin .1 .1 0.666666666666 1
		tcMod scale .25 .25
	}
}

textures/crevasse_pe/blitz_body
{
	{
		map textures/crevasse_pe/opel_blitz.tga
		rgbgen lightingDiffuse
	}
}

textures/crevasse_pe/blitz_window
{
	{
		map textures/crevasse_pe/wr.tga
		tcmod scale .75 3
		tcGen environment
	}
	{
		map textures/crevasse_pe/opel_blitz_w.tga
		tcmod scale 2 2
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen lightingDiffuse
	}
}

textures/crevasse_pe/ter_crev_grass
{
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/egypt_floor_sd/sandygrass_b.tga
		tcmod scale 1.5 1.5
		rgbGen identity
	}
	{
		map textures/crevasse_pe/grass.tga
		tcmod scale 1.5 1.5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/crevasse_pe/ter_rock2
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crevasse_pe/rock.tga
		blendFunc filter
	}
}

textures/crevasse_pe/ter_rock2_grass
{
	surfaceparm landmine
	surfaceparm grasssteps      
	{
		map textures/egypt_floor_sd/sandygrass_b.tga
		tcmod scale 1.5 1.5
		rgbGen identity
	}
	{
		map textures/crevasse_pe/rock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/crevasse_pe/banner

{

	surfaceparm nomarks

	surfaceparm alphashadow

	deformVertexes wave 10 sin 0 2 0 .2

	cull twosided

	{

		map textures/crevasse_pe/banner.tga

		alphafunc ge128
		
rgbGen vertex

	}

	{

		map $lightmap

		blendfunc gl_zero gl_one

		rgbgen identity

		depthfunc equal

	}


}



textures/crevasse_pe/banner_small

{

	surfaceparm nomarks

	surfaceparm alphashadow

	deformVertexes wave 10 sin 0 2 0 .2

	cull twosided

	{

		map textures/crevasse_pe/banner_small.tga

		alphafunc ge128
		
rgbGen vertex

	}

	{

		map $lightmap

		blendfunc gl_zero gl_one

		rgbgen identity

		depthfunc equal

	}


}



textures/crevasse_pe/net_camo
{
	cull none
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 1 0 .4
	deformVertexes wave 30 sin 0 1 0 .1
	tessSize 64
	{
		map textures/crevasse_pe/net_camo.tga
		alphafunc GE128
		rgbGen identity
		depthWrite depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/crevasse_pe/reiling

{
	{
		map textures/metal_misc/metal_m04dg.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/crevasse_pe/diamond
{
	{
		map textures/metal_misc/diamond_c_01.tga
		tcmod scale 3 3
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/crevasse_pe/dersaidin

{

	surfaceparm alphashadow
	{

		map textures/crevasse_pe/dersaidin.tga

		alphafunc ge128

		rgbGen identity
	}

	{

		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}